/*------------------------------------------------------------------------------
-- This file is a part of the QLop Software
-- Copyright (C) 2015, Plasma Physics Laboratory - CNRS
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-------------------------------------------------------------------------------*/
/*-- Author : Alexis Jeandet
-- Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/
#include "mainwindow.h"
#include <QApplication>
#include <omp.h>
#include <QProcessEnvironment>
#include <qglobal.h>
#include <QThread>
#include "abstractfileloader.h"

int main(int argc, char *argv[])
{
  QApplication a(argc, argv);
  QByteArray OMP_NUM_THREADS = qgetenv("OMP_NUM_THREADS");
  int OMP_THREADS;
  if (0==OMP_NUM_THREADS.count())
    {
      omp_set_num_threads(QThread::idealThreadCount());
//      omp_set_num_threads(2);
      OMP_THREADS = QThread::idealThreadCount();
    }
  else
    {
      OMP_THREADS = QString(OMP_NUM_THREADS).toInt();
    }
  qRegisterMetaType<QListOfDataVector>("QListOfDataVector");
  MainWindow w(OMP_THREADS);
  w.show();

  return a.exec();
}


